<?php

// For pro version only
$admin_password = 'password';

$config['resources'] = array(
	// The mime types corresponding to the types of files you allow to be uploaded.
	// Usually the file extension can be used as the mime type.
	// Separate multiple types with a pipe.
	'allowed_types' => '7z|aiff|asf|avi|bmp|doc|fla|flv|gif|gz|gzip|jpeg|jpg|mid|mov|mp3|mp4|mpc|mpeg|mpg|ods|odt|pdf|png|ppt|pxd|qt|ram|rar|rm|rmi|rmvb|rtf|sdc|sitd|swf|sxc|sxw|tar|tgz|tif|tiff|txt|vsd|wav|wma|wmv|xls|zip|html|htm',

	// The mime types corresponding to the types of files you disallow to be uploaded.
	// Usually the file extension can be used as the mime type.
	// Separate multiple types with a pipe.
	// If not empty 'allowed_types' directive wil be ignored.
	'disallowed_types' => '',

	// The maximum size (in kilobytes) that the file can be.
	// Set to zero for no limit. Note: Most PHP installations have their own limit,
	// as specified in the php.ini file. Usually 2 MB (or 2048 KB) by default.
 	'max_size' => '10240',

 	// For images only.
 	// The maximum width (in pixels) that the file can be. Set to zero for no limit.
 	'max_width' => '2048',

 	// For images only.
 	// The maximum height (in pixels) that the file can be. Set to zero for no limit.
 	'max_height' => '2048',

 	// If set to TRUE, any spaces in the file name will be converted to underscores.
 	// This is recommended.
 	'remove_spaces' => FALSE,
);

?>