<?php

include "../../config.php";
include "path.php";
include "../helpers/directory_helper.php";

function get_folders($path = FALSE, $level = 01)
{
	if($path === "FALSE")
	{
		$path = $config['resources']['upload_path'];
	}

	$map = directory_map(getenv('DOCUMENT_ROOT').$path);

	if($level == 0)
	{
		$root_folder = preg_match("/([^\/]+)\/$/", $path, $m);

		echo "<ul>",
			"<li path='{$path}' level='0'>",
				"<div style='white-space: nowrap;' class='highlighted'>",
					"<img src='system/images/minus.gif' class='hide' onclick='expand(this);'>",
					"<img src='system/images/folder.gif' class='folder-icon'><span>{$m[1]}</span>",
				"</div>";
		$level++;
	}

	echo "<ul>\n";

	foreach($map as $key => $val)
	{

		echo "\t<li path='{$path}{$key}/' level='".$level."'>
				<div style='padding-left: ".($level*18)."px; white-space: nowrap;'>\n";

			if($val)
			{
				echo "\t\t<img src='system/images/plus.gif' class='expand' onclick='expand(this);'>\n";	
			}
			else
			{	
				echo "\t\t<img src='system/images/spacer.gif' onclick='expand(this);'>\n";
			}

			echo "\t\t<img src='system/images/folder.gif' class='folder-icon'><span>{$key}</span>\n";	

 
		echo "\t</div></li>\n";
	}
	echo "</ul>\n\n";

	if($level == 1)
	{
		echo '</li></ul>';
	}
}

echo get_folders($path, (int)$_POST['level']);

clearstatcache();

?>